div.container {
    height: calc(100vh - 52px);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background: url('~assets/images/recorder/background.png');
    background-size: cover;
    position: relative;
}

div.content {
    max-width: 80vw;
    width: 50%;
    min-width: 28em;
    font-size: min(2.1vh, 28px);
    border-radius: 1em;
    position: relative;
    border: .4em solid #B37053;
    border-right: 1em solid #B37053;
    background-color: rgb(255 255 255 / .8);
    padding: 1em;
}

h3.header {
    text-align: center;
    color: black;
    font-size: 1.250em;
    margin: .5em;
    line-height: 1.5em;
}

h4.hint {
    line-height: 1.25em;
    font-size: 1em;
    text-align: center;
    color: #777777;
    margin: .5em;
    background-color: transparent;
}

div.body {
    text-align: center;
}

#selected-file-name {
    margin-top: 1em;
    margin-bottom: 1.5em;
}

div.footer {
    line-height: 1.5em;
    font-size: 1em;
    text-align: center;
    width: 100%;
    margin-bottom: 1em;
}

button.button {
    font-size: 1em;
    padding: 0.7em 1.25em;
    border-radius: 2em;
    margin: 0 0.5em;
    display: inline-block;
    cursor: pointer;
    text-decoration: none;
    font-weight: 600;
    white-space: nowrap;
    color: #fff;
    border: 2px solid;
    box-sizing: border-box;
    min-width: 8.2em;
    outline: none !important;
}

.button.upload {
    border-color: #d95354;
    background-color: #cc2d2e;
    border-color: #cc2d2e;
}

.button.record {
    border-color: #d95354;
    background-color: #d95354;
    border-color: #d95354;
}

.button.record:hover {
    background-color: #d43e3f;
    border-color: #d43e3f;
}

.button.record:active {
    background-color: #cc2d2e;
    border-color: #cc2d2e;
}

.button.retry {
    font-size: 0.85em;
    color: #fff;
    background-color: #515151;
    border-color: #515151;
}

.button.retry:hover {
    background-color: #616161;
    border-color: #515151;
}

.button.retry:active {
    background-color: #4e4e4e;
    border-color: #494949;
}

.button.pause {
    color: #d95354;
    border-color: #d95354;
    background-color: #fff;
}

.button.pause:hover {
    color: #ca6060;
    border-color: #ca6060;
}

.button.pause:active {
    color: #db4444;
    border-color: #db4444;
}

.button.done {
    color: #1f824c;
    border-color: #1f824c;
    background-color: #fff;
}

.button.done:hover {
    color: #1e9152;
    border-color: #1e9152;
}

.button.done:active {
    color: #1a6e40;
    border-color: #1a6e40;
}


/*.button.download {*/


/*  border-color: #1f824c;*/


/*  background-color: #1f824c;*/


/*}*/

.button.download {
    background-color: #1f824c;
    color: #fff;
    border: 2px solid #1f824c;
    box-sizing: border-box;
}

.button.download {
    font-size: 1.042em;
    padding: 0.708em 1.250em;
    border-radius: 2em;
    margin: 0 0.5em;
    border: 0;
    display: inline-block;
    cursor: pointer;
    text-decoration: none;
    font-weight: 600;
    white-space: nowrap;
}

.button.download:hover {
    background-color: #1e9152;
    border-color: #1e9152;
}

.button.download:active {
    background-color: #1a6e40;
    border-color: #1a6e40;
}

.button.save {
    border-color: #3f51b5;
    background-color: #3f51b5;
}

.button.save:hover {
    border-color: #456de0;
    background-color: #456de0;
}

.timer {
    line-height: 1.5em;
    text-align: center;
    font-size: 2.5em;
    font-weight: 600;
    color: #8f8f8f;
    margin: .25em 0;
    background-color: transparent;
}

.recording-indicator-icon {
    position: relative;
    text-align: center;
}

.icon-container {
    text-align: center;
    border-radius: 50%;
    background-color: #A5D223;
    color: white;
    width: 3em;
    height: 3em;
    margin: 32px auto;
    font-size: 2.5em;
    position: relative;
    z-index: 1;
}

#icon-container.record .icon-container {
    background-color: #FFB7B7;
}

.icon-container>i {
    line-height: 3em;
}

.animated-circle {
    width: 100%;
    height: 100%;
    line-height: 3em;
    position: absolute;
    border: 4px solid #FFB7B7;
    border-radius: 50%;
    visibility: hidden;
}

.audio_button:before {
    content: url(~assets/images/recorder/Speaker.svg) !important;
    color: #fff;
    border: none !important;
    width: 28px;
    height: 28px;
    background: transparent;
    border-radius: 0 !important;
    cursor: pointer;
    text-decoration: none;
    display: block;
    font-size: 1em;
}

.playButton {
    display: flex;
    justify-content: center;
}

.audio_button {
    white-space: nowrap;
    background: rgba(255, 255, 255, 0);
    border: none;
    display: table-cell;
    vertical-align: middle;
}

.fa-circle,
.fa-undo,
.fa-circle,
.fa-play-circle,
.fa-download,
.fa-save,
.fa-undo {
    margin-left: 4px;
    vertical-align: middle;
}

.animated-circle.animate {
    animation: animate 4s ease-in-out infinite backwards;
}

@keyframes animate {
    0% {
        visibility: visible;
        transform: scale(1);
    }
    55% {
        visibility: visible;
        transform: scale(1.25);
    }
    97% {
        visibility: visible;
        transform: scale(.95);
    }
}
